# $Id: agmiiusb.spec.in,v 1.1 2005/06/03 08:02:40 kath Exp $
Name:           agmiiusb
Version:        1.0.0
Release:        2
Summary:        USB smart card reader driver for Argos Mini II USB

Group:          System Environment/Libraries
License:        LGPL
URL:            http://www.todos.se/Todos/products/products_ArgosMini.html
Source0:        http://www.todos.se/Todos/downloads/files/agmiiusb-1.0.0.tar.gz
Patch0:		agmiiusb-1.0.0-log_msg.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  pkgconfig autoconf automake
BuildRequires:  libusb-devel >= 0.1.7, pcsc-lite-devel >= 1.2.0
Requires:       libusb >= 0.1.7, pcsc-lite >= 1.2.0
Provides:       pcsc-ifd-handler

%description
USB Chip/Smart Card Interface Device driver for Argos Mini II USB.


%prep
%setup -q
%patch0 -p1
autoreconf -i


%build
%configure --disable-dependency-tracking \
  --enable-usbdropdir=%{_libdir}/pcsc/drivers
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%post
if [ $1 -eq 1 -a -x %{_initrddir}/pcscd ] ; then
  %{_initrddir}/pcscd try-restart >/dev/null || :
fi

%postun
[ -x %{_initrddir}/pcscd ] && %{_initrddir}/pcscd try-restart >/dev/null || :


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_libdir}/pcsc/drivers/*


%changelog
* Mon Nov 13 2006 Henrik Nordström <henrik at henriknordstrom.net> - 1.0.0-2
- Fixed some minor build environment issues
* Fri May 27 2005 Karl Dahlén <karl at todos.se> - 1.0.0-1
- First build.
